%define rtpname libopenquicktime

Summary: A portable library for handling QuickTime media files
Name: openquicktime
Version: 1.0
Release: 4%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.openquicktime.org/
Source0: http://prdownloads.sourceforge.net/openquicktime/%{name}-%{version}-src.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
BuildRequires: glib-devel, zlib-devel, libjpeg-devel
Requires: %{rtpname} = %{eversion}

%description
OpenQuicktime aims to be a portable library for handling Apple's
QuickTime popular media files on Unix-like environments. It is aim is
to provide encoding, authoring and editing support as well as video
playback.

%package -n %{rtpname}
Summary: A portable library for handling QuickTime media files.
Group: System Environment/Libraries

%description -n %{rtpname}
OpenQuicktime aims to be a portable library for handling Apple's
QuickTime popular media files on Unix-like environments. It is aim is
to provide encoding, authoring and editing support as well as video
playback.

%package devel
Summary: Header and library files for developing against openquicktime.
Group: Development/Libraries
Requires: %{rtpname} = %{eversion}

%description devel
Header and library files for developing against openquicktime.

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{rtpname} -p /sbin/ldconfig

%postun -n %{rtpname} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS TODO

%files -n %{rtpname}
%defattr(-,root,root,-)
%{_libdir}/libopenquicktime.so
%{_libdir}/quicktime_codec_.mp3.so
%{_libdir}/quicktime_codec_jpeg.so
%{_libdir}/quicktime_codec_ms.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/openquicktime

%changelog
* Sat May 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


